/*
  Copyright Earth People Technology Inc. 2022
  
  LED RGB Breakout Board Blinky
  
  Platform: Arduino Mini
    
*/

  int ledD1GreenPin = A0;
  int ledD1RedPin = A2;
  int ledD1BluePin = A1;
  int ledD2GreenPin = 7;
  int ledD2RedPin = 9;
  int ledD2BluePin = 8;
  int ledD3GreenPin = 11;
  int ledD3RedPin = 13;
  int ledD3BluePin = 12;
  int ledD4GreenPin = 4;
  int ledD4RedPin = 6;
  int ledD4BluePin = 5;
  int LoopCount;

void setup()
{
  pinMode(ledD1GreenPin, OUTPUT);
  pinMode(ledD1RedPin, OUTPUT);
  pinMode(ledD1BluePin, OUTPUT);
  pinMode(ledD2GreenPin, OUTPUT);
  pinMode(ledD2RedPin, OUTPUT);
  pinMode(ledD2BluePin, OUTPUT);
  pinMode(ledD3GreenPin, OUTPUT);
  pinMode(ledD3RedPin, OUTPUT);
  pinMode(ledD3BluePin, OUTPUT);
  pinMode(ledD4GreenPin, OUTPUT);
  pinMode(ledD4RedPin, OUTPUT);
  pinMode(ledD4BluePin, OUTPUT);

  digitalWrite(ledD1GreenPin, HIGH);
  digitalWrite(ledD1RedPin, HIGH);
  digitalWrite(ledD1BluePin, HIGH);
  digitalWrite(ledD2GreenPin, HIGH);
  digitalWrite(ledD2RedPin, HIGH);
  digitalWrite(ledD2BluePin, HIGH);
  digitalWrite(ledD3GreenPin, HIGH);
  digitalWrite(ledD3RedPin, HIGH);
  digitalWrite(ledD3BluePin, HIGH);
  digitalWrite(ledD4GreenPin, HIGH);
  digitalWrite(ledD4RedPin, HIGH);
  digitalWrite(ledD4BluePin, HIGH);

  Serial.begin(115200);          // start serial communication at 115200bps

  LoopCount = 0;

  Serial.println("VisiPort 2 Communications Active!");

}

void loop ()
{
  
      delay(500); //Delay 500 ms

      //Set the LED Green Pin High for D1, D2, D3 and D4
      digitalWrite(ledD1GreenPin, LOW);
      digitalWrite(ledD2GreenPin, LOW);
      digitalWrite(ledD3GreenPin, LOW);
      digitalWrite(ledD4GreenPin, LOW);
  
      delay(500); //Delay 500 ms

      //Set the LED Green Pin Low for D1, D2, D3 and D4
      digitalWrite(ledD1GreenPin, HIGH);
      digitalWrite(ledD2GreenPin, HIGH);
      digitalWrite(ledD3GreenPin, HIGH);
      digitalWrite(ledD4GreenPin, HIGH);

      delay(500); //Delay 500 ms

      //Set the LED Red Pin High for D1, D2, D3 and D4
      digitalWrite(ledD1RedPin, LOW);
      digitalWrite(ledD2RedPin, LOW);
      digitalWrite(ledD3RedPin, LOW);
      digitalWrite(ledD4RedPin, LOW);
  
      delay(500); //Delay 500 ms

      //Set the LED Red Pin Low for D1, D2, D3 and D4
      digitalWrite(ledD1RedPin, HIGH);
      digitalWrite(ledD2RedPin, HIGH);
      digitalWrite(ledD3RedPin, HIGH);
      digitalWrite(ledD4RedPin, HIGH);

      delay(500); //Delay 500 ms

      //Set the LED Blue Pin High for D1, D2, D3 and D4
      digitalWrite(ledD1BluePin, LOW);
      digitalWrite(ledD2BluePin, LOW);
      digitalWrite(ledD3BluePin, LOW);
      digitalWrite(ledD4BluePin, LOW);
  
      delay(500); //Delay 500 ms

      //Set the LED Blue Pin Low for D1, D2, D3 and D4
      digitalWrite(ledD1BluePin, HIGH);
      digitalWrite(ledD2BluePin, HIGH);
      digitalWrite(ledD3BluePin, HIGH);
      digitalWrite(ledD4BluePin, HIGH);

      Serial.println(LoopCount++);   // print the LoopCount
  
}
